> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an inbox.

> Create a new inbox. If a name is provided and an inbox with that name already exists for this user, returns 409 Conflict. Use PUT for idempotent get-or-create semantics.



## OpenAPI

````yaml white-label/trigger-inbox-openapi.yaml post /trigger-inbox/v1/inboxes
openapi: 3.1.0
info:
  title: Trigger Inbox API
  description: >-
    Manage trigger inboxes and their messages — create, pause, resume, and
    delete inboxes; list, lease, and acknowledge messages.
  version: 1.0.0
  contact:
    url: https://docs.zapier.com
servers:
  - url: https://api.zapier.com
    description: Production
security:
  - OAuth: []
tags:
  - name: inbox
    description: Inbox API endpoints
  - name: message
    description: Message API endpoints
paths:
  /trigger-inbox/v1/inboxes:
    post:
      tags:
        - inbox
      summary: Create an inbox.
      description: >-
        Create a new inbox. If a name is provided and an inbox with that name
        already exists for this user, returns 409 Conflict. Use PUT for
        idempotent get-or-create semantics.
      operationId: createTriggerInbox
      parameters:
        - in: header
          name: Zapier-Causation-Id
          schema:
            type: string
          description: >-
            Optional UUID identifying the event or action that caused this
            request.
        - in: header
          name: Zapier-Correlation-Id
          schema:
            type: string
          description: Optional UUID to trace this request through downstream systems.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Inbox'
            examples:
              WithName:
                value:
                  name: example_inbox
                  subscription:
                    app_key: SlackCLIAPI@1.0.0
                    action_key: example_action
                    connection_id: 029a64f8-ced3-889b-aa1a-9d37bcd59ddb
                    inputs:
                      channel: C1234567890
                summary: with_name
              WithoutName:
                value:
                  subscription:
                    app_key: SlackCLIAPI@1.0.0
                    action_key: example_action
                    connection_id: 5678
                    inputs:
                      channel: C1234567890
                summary: without_name
              WithSlugAppKey:
                value:
                  name: example_inbox
                  subscription:
                    app_key: slack
                    action_key: example_action
                    connection_id: 029a64f8-ced3-889b-aa1a-9d37bcd59ddb
                    inputs:
                      channel: C1234567890
                summary: Resolve app_key from a slug
                description: >-
                  A versionless slug is resolved to the latest version; the
                  response's subscription.app_key is the fully-versioned form.
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Inbox'
          description: ''
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
          description: >-
            Validation error, e.g. the app_key could not be resolved to a single
            app (unknown or ambiguous), or a claim input was invalid.
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
          description: >-
            Conflict error when an inbox with the same name already exists for
            the user.
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
        '429':
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
          description: Too many requests.
      security:
        - OAuth:
            - external
components:
  schemas:
    Inbox:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: The unique identifier for the inbox.
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Creation timestamp in ISO 8601 format.
        name:
          type:
            - string
            - 'null'
          description: >-
            An optional name for the inbox. Must be unique per user within the
            context of an account.
          maxLength: 100
        status:
          type: string
          readOnly: true
          description: The status of the inbox.
        paused_reason:
          description: |-
            The reason the inbox was paused, if applicable.

            * `user` - user
            * `authentication` - authentication
            * `authentication_access_revoked` - authentication_access_revoked
            * `partner_revoked` - partner_revoked
            * `subscribe_failed` - subscribe_failed
            * `migrate_failed` - migrate_failed
            * `abandoned` - abandoned
            * `unknown` - unknown
            * `upstream_failures` - upstream_failures
          oneOf:
            - $ref: '#/components/schemas/PausedReasonEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        notification_url:
          type:
            - string
            - 'null'
          format: uri
          description: URL to POST notifications to when messages become available.
          maxLength: 2048
        subscription:
          $ref: '#/components/schemas/TriggerSubscription'
      required:
        - created_at
        - id
        - status
        - subscription
    Errors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetail'
          description: An array of error objects.
      required:
        - errors
    PausedReasonEnum:
      enum:
        - user
        - authentication
        - authentication_access_revoked
        - partner_revoked
        - subscribe_failed
        - migrate_failed
        - abandoned
        - unknown
        - upstream_failures
      type: string
      description: |-
        * `user` - user
        * `authentication` - authentication
        * `authentication_access_revoked` - authentication_access_revoked
        * `partner_revoked` - partner_revoked
        * `subscribe_failed` - subscribe_failed
        * `migrate_failed` - migrate_failed
        * `abandoned` - abandoned
        * `unknown` - unknown
        * `upstream_failures` - upstream_failures
    BlankEnum:
      enum:
        - ''
    NullEnum:
      type: 'null'
    TriggerSubscription:
      type: object
      description: Trigger subscription configuration for an inbox.
      properties:
        connection_id:
          oneOf:
            - type: string
              format: uuid
            - type: integer
              format: integer
            - type: 'null'
          description: The ID of the connection associated with this inbox.
        app_key:
          type: string
          description: >-
            App identifier. Accepts a fully-versioned selected_api
            (`SlackCLIAPI@1.0.0`, used as-is), a versionless selected_api
            (`SlackCLIAPI`), the `@latest` sentinel (`SlackCLIAPI@latest`), or a
            service slug (`slack`). Versionless, `@latest`, and slug forms are
            resolved to the latest published version at creation time; the inbox
            always stores and returns the fully-versioned form. Returns 400 if
            the identifier matches no app or is ambiguous (matches more than
            one).
        action_key:
          type: string
          description: The key of the app action associated with this inbox.
        inputs:
          type: object
          additionalProperties: {}
          description: The inputs provided to the app action associated with this inbox.
      required:
        - action_key
        - app_key
        - inputs
    ErrorDetail:
      type: object
      description: >-
        Per the schema defined in the engineering index.


        https://engineering.zapier.com/guides/api-design-guidelines/error-handling/
      properties:
        code:
          type: string
          description: A unique identifier for this particular occurrence of the problem.
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        status:
          type: integer
          description: HTTP status code for that error.
        title:
          type: string
          description: A short summary of the problem.
        source:
          type: object
          additionalProperties: {}
          description: An object containing references to the primary source of the error.
      required:
        - code
        - detail
  headers:
    X-RateLimit-Limit:
      schema:
        type: string
      description: The rate limit ceiling for that given request.
      required: true
    X-RateLimit-Remaining:
      schema:
        type: string
      description: The number of requests left for the window.
      required: true
    X-RateLimit-Reset:
      schema:
        type: string
      description: The time at which the current rate limit window resets in seconds.
      required: true
    Retry-After:
      schema:
        type: number
      description: The number of seconds to wait before making a new request.
      required: true
  securitySchemes:
    OAuth:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        authorizationCode:
          authorizationUrl: https://zapier.com/oauth/authorize
          tokenUrl: https://zapier.com/oauth/token
          scopes:
            external: Scope that gives access to all Public APIs
        clientCredentials:
          tokenUrl: https://zapier.com/oauth/token
          scopes:
            external: Scope that gives access to all Public APIs

````